Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class PureSingleStatistic<P extends StatisticPoint>

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<P>
          org.optaplanner.benchmark.impl.statistic.PureSingleStatistic<P>

Direct Known Subclasses:
  ConstraintMatchTotalBestScoreSingleStatistic, ConstraintMatchTotalStepScoreSingleStatistic, PickedMoveTypeBestScoreDiffSingleStatistic, PickedMoveTypeStepScoreDiffSingleStatistic

    public abstract class PureSingleStatistic<P extends StatisticPoint>

extends SingleStatistic<P>

1 statistic of `SingleBenchmarkResult`

Field Summary
`protected SingleStatisticType` | `singleStatisticType`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`logger, pointList, singleBenchmarkResult`

Constructor Summary
`protected` | `PureSingleStatistic(SingleBenchmarkResult singleBenchmarkResult, SingleStatisticType singleStatisticType)`

Method Summary
`SingleStatisticType` | `getStatisticType()`
`protected File` | `writeChartToImageFile(org.jfree.chart.JFreeChart chart, String fileNameBase)`
`abstract void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`close, createPointFromCsvLine, getAnchorId, getCsvFile, getCsvFilePath, getCsvHeader, getPointList, getSingleBenchmarkResult, initPointList, open, readCsvStatisticFile, setPointList, setSingleBenchmarkResult, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleStatisticType

    protected final SingleStatisticType singleStatisticType

Constructor Detail

### PureSingleStatistic

    protected PureSingleStatistic(SingleBenchmarkResult singleBenchmarkResult,
                                  SingleStatisticType singleStatisticType)

Method Detail

### getStatisticType

    public SingleStatisticType getStatisticType()

  Specified by:
    `getStatisticType` in class `SingleStatistic<P extends StatisticPoint>`

### writeGraphFiles

    public abstract void writeGraphFiles(BenchmarkReport benchmarkReport)

### writeChartToImageFile

    protected File writeChartToImageFile(org.jfree.chart.JFreeChart chart,
                                         String fileNameBase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.